---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: processing-jobs
  namespace: processing
rules:
  - apiGroups:
      - batch
    resources:
      - jobs
    verbs:
      - get
      - list
      - watch
      - create
      - update
      - patch
      - delete
  - apiGroups:
      - ""
    resources:
      - pods
    verbs:
      - get
      - list
      - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: processing-jobs
  namespace: processing
subjects:
  - kind: ServiceAccount
    name: processing-vault
    namespace: processing
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: processing-jobs
